SSH-PROBE2(1)

NAME
ssh-probe2 - seeks ssh servers from the local network

SYNOPSIS
ssh-probe2 [-t timeout ] [-r ] [-s ] [addresses ...]

DESCRIPTION

ssh-probe2 sends an ssh server query packet as a UDP datagram to the given broadcast addresses. Servers that allow UDP queries respond to the query and ssh-probe2 prints the addresses and version numbers of these servers.

OPTIONS

-t timeout
    Timeout in seconds. This is how long the program waits for server replies before exit.

-r  Makes the output of the program more readable than the raw list format suitable for scripts.

-s  Inhibits output. The success of the command can only be concluded from the exit value. In this mode option -r has no effect.

RETURN STATUS
ssh-probe2 returns one of the following exit statuses. This may be useful in scripts.

0   The broadcast was sent, and at least one reply was received.

1   The broadcast was sent, but no replies were received.

-1  An unspecified error has occurred. This is a catch-all for errors not listed above.

AUTHORS

SSH Communications Security Corp For more information, see http://www.ssh.com.

SEE ALSO
sshd2(8)